gnutls_certificate_free_keys(3)

NAME
gnutls_certificate_free_keys - Used to free all the keys from a gnutls_certificate_credentials_t structure

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_free_keys(gnutls_certificate_credentials_t sc);

ARGUMENTS

gnutls_certificate_credentials_t sc
    is an gnutls_certificate_credentials_t structure.

DESCRIPTION
This function will delete all the keys and the certificates associated with the given credentials. This function must not be called when a TLS negotiation that uses the credentials is in progress.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.